﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfApplication2
{
    /// <summary>
    /// Interaktionslogik für MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void radioButton2_Checked(object sender, RoutedEventArgs e)
        {
            button1.Background = Brushes.Green;
        }

        private void radioButton3_Checked(object sender, RoutedEventArgs e)
        {
            button1.Background = Brushes.Red;
        }

        private void radioButton1_Checked(object sender, RoutedEventArgs e)
        {
            button1.Background = Brushes.Blue;
        }

        private void radioButton5_Checked(object sender, RoutedEventArgs e)
        {
            button1.FontFamily = new FontFamily("Calibri");
        }

        private void radioButton6_Checked(object sender, RoutedEventArgs e)
        {
            button1.FontFamily = new FontFamily("Curlz MT");
        }

        private void radioButton4_Checked(object sender, RoutedEventArgs e)
        {
            button1.FontFamily = new FontFamily("Consolas");
        }

        Random random = new Random();

        private void button1_MouseEnter(object sender, MouseEventArgs e)
        {
            bool done = false;
            int x = 0;
            int y = 0;
            while (!done)
            {
                x = random.Next(0, (int)(grid.ActualWidth - button1.ActualWidth));
                y = random.Next(0, (int)(grid.ActualHeight - button1.ActualHeight));

                if (! (x >= rectangle1.Margin.Left && x <= rectangle1.Margin.Left + rectangle1.ActualWidth
                    && y >= rectangle1.Margin.Top && y <= rectangle1.Margin.Top + rectangle1.ActualHeight) )
                {
                    done = true;
                }
            }
            button1.Margin = new Thickness(x, y, 0, 0);
        }
    }
}
